libsoup-2.70.0

Introduction à libsoup

Le paquet libsoup contient une bibliothèque client/serveur HTTP pour GNOME. Elle utilise GObject et la boucle principale de GLib pour s'intégrer aux applications GNOME et elle dispose aussi d'une API asynchrone afin d'être utilisable dans des applications threadées.

Ce paquet est connu pour se construire correctement sur une plateforme LFS-9.1.

Informations sur le paquet

Dépendances de libsoup

Requises

glib-networking-2.64.3, libpsl-0.21.1, libxml2-2.9.10 et SQLite-3.32.3

Recommandées

Facultatives

Apache-2.4.43 (requis pour lancer la suite de tests), Brotli-1.0.7, cURL-7.71.1 (requis pour lancer la suite de tests), MIT Kerberos V5-1.18.2 (requis pour lancer la suite de tests), GTK-Doc-1.32, PHP-7.4.8 compilé avec le support de XMLRPC-EPI (utilisé seulement pour les tests de régression XMLRPC) et Samba-4.12.5 (ntlm_auth est requis pour lancer la suite de test).

Notes utilisateur : http://wiki.linuxfromscratch.org/blfs/wiki/libsoup

Installation de libsoup

Installez libsoup en lançant les commandes suivantes :

mkdir build &&
cd    build &&

meson --prefix=/usr -Dvapi=enabled -Dgssapi=disabled .. &&
ninja

Pour tester les résultats lancez : ninja test.

Maintenant, en tant qu'utilisateur root :

ninja install

Explication des commandes

-Dvapi=disabled : utilisez cette option si vous n'avez pas installé Vala, si par exemple vous ne construisez pas GNOME.

-Ddoc=enabled : Utilisez cette option si vous souhaitez construire la documentation. Remarquez que vous devez avoir installé GTK-Doc-1.32.

-Dgssapi=disabled : libsoup se construit par défaut avec la prise en charge de GSSAPI qui a besoin de Kerberos (comme la suite de tests). Si vous construisez GNOME ou que vous avez installé kerberos, enlevez cette option.

Contenu

Programmes installés: Aucun
Bibliothèques installées: libsoup-2.4.so et libsoup-gnome-2.4.so
Répertoires installés: /usr/include/libsoup-2.4, /usr/include/libsoup-gnome-2.4 et /usr/share/gtk-doc/html/libsoup-2.4.

Descriptions courtes

libsoup-2.4.so

fournit les fonctions pour des connexions HTTP asynchrones.

libsoup-gnome-2.4.so

fournit des fonctionnalités spécifiques de Gnome.

Last updated on 2020-03-25 21:31:20 +0000